WordPress.org

Make WordPress Core

Ticket #17144: 17144.require-close-quicktag.patch

File 17144.require-close-quicktag.patch, 731 bytes (added by trepmal, 3 years ago)

require 'close' quicktag

  • wp-includes/class-wp-editor.php

     
    124124 
    125125                        $qtInit = array( 
    126126                                'id' => $editor_id, 
    127                                 'buttons' => implode($qtbuttons, ','), 
    128                                 'disabled_buttons' => implode($qtbuttons_disabled, ',') 
     127                                'buttons' => implode(',', $qtbuttons), 
     128                                'disabled_buttons' => implode(',', $qtbuttons_disabled) 
    129129                        ); 
    130130 
    131131                        if ( is_array($settings['quicktags']) ) 
    132132                                $qtInit = array_merge($qtInit, $settings['quicktags']); 
    133133 
     134                        if ( $settings['tinymce'] ) 
     135                                $qtInit['buttons'] .= ',close'; 
     136 
    134137                        $this->qt_settings[$editor_id] = $qtInit; 
    135138                } 
    136139